Support » Plugin: IP Geo Block » error report on latest update

  • Resolved scruffy1

    (@scruffy1)


    Hi

    Great plugin,

    Just to let you know we are getting an error report on latest update

    /plugins/ip-geo-block/classes/class-ip-geo-block-logs.php (837) Unknown column ‘last’ in ‘field list’

    thanks

Viewing 15 replies - 1 through 15 (of 20 total)
  • Same for me too.

    New Update getting error at top of every page:

    IP Geo Block: public_html/wp-content/plugins/ip-geo-block/classes/class-ip-geo-block-logs.php (837) Unknown column ‘last’ in ‘field list’

    Thanks

    Hi Community,
    i have the same issue on my sites after the last update.
    IP Geo Block: …/wp-content/plugins/ip-geo-block/classes/class-ip-geo-block-logs.php (837) Unknown column ‘last’ in ‘field list’

    Hey Guys,
    its so easy to manage this issue,
    i deleted line the lines 824 and 834 an i deleted “last” in line 815

    Thanks @andrebraselmann.

    Users shouldn’t have to do that though.

    Hopefully the author will issue a fix to resolve it.

    @firemyst

    I meant it only well, and if the developer sleeps, then you can help each other

    Plugin Author tokkonopapa

    (@tokkonopapa)

    Dear all,

    First and foremost, I have to apologize this issue, following the previous issue.

    Now I released the updated version, but honestly speaking, I’m not sure the issue is fixed or not.

    So when you find the same issue after you update to 3.0.10.1, please deactivate this plugin once and activate again. You’ll see the same error massage once more, but the issue should be fixed.

    And I’d appreciate you to feedback the result of updating.

    Thank you so much for your kind cooperation to fix the issue.

    Hi,

    Thanks for the quick update. It worked for me and I did have to deactivate the plugin then reactivate. I also had to refresh the screen a couple of times for the error to go away.

    Thanks, easy and error free ๐Ÿ™‚

    Plugin Author tokkonopapa

    (@tokkonopapa)

    Hi @fxdaddy and @scruffy1,

    Thank you for your feedback.

    It worked for me and I did have to deactivate the plugin then reactivate. I also had to refresh the screen a couple of times for the error to go away.

    I think this means the issue is still there, right?

    I could reproduce this issue on updating from 3.0.9 to 3.0.10. So once I clean uninstalled this plugin and installed 3.0.9 again, then I updated to 3.0.10.1. I could find everything fine.

    So I hope the issue would be resolved in 3.0.10.1.

    Anyway, I’ll dedicate to investigate the cause more.

    Thanks again!

    • This reply was modified 1 year, 10 months ago by tokkonopapa.

    The error message went away but I can no longer get to the settings page. It is just a blank page now?

    This is the URL n the address field of Google Chrome.
    https://www.landmprecisiongunworks.com/wordpress/wp-admin/options-general.php?page=ip-geo-block&ip-geo-block-auth-nonce=59970707da

    Same behavior in Firefox.

    I would consider it fixed. Thanks!

    Plugin Author tokkonopapa

    (@tokkonopapa)

    Hi @fxdaddy,

    Thank you for your feedback!

    New update fixed everything worked as described !

    Thanks

    @andrebraselmann in your post you said, “deleted line the lines 824 and 834 and i deleted โ€œlastโ€ in line 815”. What does, “deleted line the lines” mean?

    Also, did you delete the entire lines 824 and 834?

    I’m assuming you only deleted the word, “last” in line 815, is that correct?

    I have tried all the other posted methods to get this plugin to work again following the update, but nothing works. I would like to try your method before I give up and find a different plugin.

    Thanks!

    • This reply was modified 1 year, 10 months ago by 7thAngel.
    • This reply was modified 1 year, 10 months ago by 7thAngel.
    • This reply was modified 1 year, 10 months ago by 7thAngel.
    • This reply was modified 1 year, 10 months ago by 7thAngel.
    • This reply was modified 1 year, 10 months ago by 7thAngel.
    • This reply was modified 1 year, 10 months ago by 7thAngel.
    • This reply was modified 1 year, 10 months ago by 7thAngel.
    Plugin Author tokkonopapa

    (@tokkonopapa)

    Hi @7thangel,

    I replied to your problem in https://wordpress.org/support/topic/error-after-update-121/#post-10145825

    I hope you try a test version.
    Thanks.

Viewing 15 replies - 1 through 15 (of 20 total)
  • The topic ‘error report on latest update’ is closed to new replies.